%define oname   ox

Name:       ruby-%{oname}
Version:    2.13.4
Release:    %mkrel 1
Summary:    A fast XML parser and object serializer
License:    MIT
Group:      Development/Ruby
URL:        http://www.ohler.com/ox
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
A fast XML parser and object serializer that uses only standard C lib.
Optimized XML (Ox), as the name implies was written to provide speed optimized
XML handling. It was designed to be an alternative to Nokogiri and other Ruby
XML parsers for generic XML parsing and as an alternative to Marshal for
Object serialization. 

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
mkdir -p %{buildroot}/%{gem_extdir_mri}/ox
mv %{buildroot}/%{gem_extdir_mri}/ox.so %{buildroot}/%{gem_extdir_mri}/ox/

%files
%{gem_instdir}
%{gem_extdir_mri}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.md


%changelog
* Sat Sep 26 2020 pterjan <pterjan> 2.13.4-1.mga8
+ Revision: 1630628
- Update to 2.13.4

* Sat Sep 05 2020 pterjan <pterjan> 2.13.3-1.mga8
+ Revision: 1622736
- Update to 2.13.3

* Sat Mar 28 2020 pterjan <pterjan> 2.13.2-1.mga8
+ Revision: 1561777
- Update to 2.13.2

* Mon Mar 02 2020 pterjan <pterjan> 2.10.0-4.mga8
+ Revision: 1553168
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 2.10.0-3.mga8
+ Revision: 1522361
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 2.10.0-2.mga7
+ Revision: 1360707
- Fix location of ox.so to be what ox.rb expects

* Sat Sep 29 2018 pterjan <pterjan> 2.10.0-1.mga7
+ Revision: 1311815
- Update to 2.10.0
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 pterjan <pterjan> 2.9.4-1.mga7
+ Revision: 1246041
- Update to 2.9.4

* Mon Jun 18 2018 pterjan <pterjan> 2.9.3-1.mga7
+ Revision: 1237660
- Update to 2.9.3

* Mon Apr 23 2018 pterjan <pterjan> 2.9.2-1.mga7
+ Revision: 1221888
- Update to 2.9.2

* Sun Apr 01 2018 pterjan <pterjan> 2.9.0-1.mga7
+ Revision: 1214280
- Update to 2.9.0

* Mon Jan 01 2018 pterjan <pterjan> 2.6.0-1.mga7
+ Revision: 1188681
- Rebuild for Ruby 2.5

* Wed Aug 16 2017 pterjan <pterjan> 2.6.0-0.mga7
+ Revision: 1141186
- Update to 2.6.0
- Rebuild for new Ruby

* Sat Mar 12 2016 pterjan <pterjan> 2.3.0-1.mga6
+ Revision: 989764
- Update to 2.3.0

* Mon Jan 25 2016 pterjan <pterjan> 2.2.3-1.mga6
+ Revision: 927603
- imported package ruby-ox

